# Uses of Interface
com.sun.jdi.Location

Packages that use Location
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.
com.sun.jdi.event
This package defines JDI events and event processing.
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of Location in com.sun.jdi

Methods in com.sun.jdi that return Location
Modifier and Type
Method
Description
`Location`
Locatable.`location()`
Returns the `Location` of this mirror, if there is executable code associated with it.
`Location`
Method.`location()`
Returns the `Location` of this method, if there is executable code associated with it.
`Location`
StackFrame.`location()`
Returns the `Location` of the current instruction in the frame.
`Location`
Method.`locationOfCodeIndex(long codeIndex)`
Returns a `Location` for the given code index.
Methods in com.sun.jdi that return types with arguments of type Location
Modifier and Type
Method
Description
`List<Location>`
Method.`allLineLocations()`
Returns a list containing a `Location` object for each executable source line in this method.
`List<Location>`
Method.`allLineLocations(String stratum, String sourceName)`
Returns a list containing a `Location` object for each executable source line in this method.
`List<Location>`
ReferenceType.`allLineLocations()`
Returns a list containing a `Location` object for each executable source line in this reference type.
`List<Location>`
ReferenceType.`allLineLocations(String stratum, String sourceName)`
Returns a list containing a `Location` object for each executable source line in this reference type.
`List<Location>`
Method.`locationsOfLine(int lineNumber)`
Returns a List containing all `Location` objects that map to the given line number.
`List<Location>`
Method.`locationsOfLine(String stratum, String sourceName, int lineNumber)`
Returns a List containing all `Location` objects that map to the given line number and source name.
`List<Location>`
ReferenceType.`locationsOfLine(int lineNumber)`
Returns a List containing all `Location` objects that map to the given line number.
`List<Location>`
ReferenceType.`locationsOfLine(String stratum, String sourceName, int lineNumber)`
Returns a List containing all `Location` objects that map to the given line number.

## Uses of Location in com.sun.jdi.event

Methods in com.sun.jdi.event that return Location
Modifier and Type
Method
Description
`Location`
ExceptionEvent.`catchLocation()`
Gets the location where the exception will be caught.

## Uses of Location in com.sun.jdi.request

Methods in com.sun.jdi.request that return Location
Modifier and Type
Method
Description
`Location`
BreakpointRequest.`location()`
Returns the location of the requested breakpoint.
Methods in com.sun.jdi.request with parameters of type Location
Modifier and Type
Method
Description
`BreakpointRequest`
EventRequestManager.`createBreakpointRequest(Location location)`
Creates a new disabled `BreakpointRequest`.